Hello,
i have a plenty of points and want to create a surface with the sketchup ruby api. How do i do this? I dont get a "nice version"..
# points will be read from a file... pts = [] pts.push([0,0,0]) pts.push([0,9,0]) pts.push([9,9,10]) my_face = Sketchup.active_model.entities.add_face pts f_material = Sketchup.active_model.materials[0] f_material.color = "green" f_material.alpha = 0.5 my_face.material = f_material
Of Course, this works, but how do i appendd another polygon? I have to loop, but creating evertime a new face? Actually... faces, polygons, entities.. where are the differences? What about hierachy?
Programming in general is no problem, but i dont get the way of thinking in sketchup in my brain.. maybe there is a good tutorial? (I just found ruby-tutorials (i dont need) or sketchup tutorials (helpfully, but i want to use ruby with it!) and [0] is quite poor...)
Regards,
Hackbard_C
[0] http://code.google.com/intl/de/apis/sketchup/docs/tutorial_geometry.html